##### 7.5.5.0. fl2poly

Procedure from library `dmodapp.lib` (see dmodapp_lib).

Usage:
  fl2poly(L,s); L a list, s a string

Return:
  poly

Purpose:
  reconstruct a monic polynomial in one variable from its factorization

Assume:
  s is a string with the name of some variable and
  L is supposed to consist of two entries:
  - L[1] of the type ideal with the roots of a polynomial
  - L[2] of the type intvec with the multiplicities of corr. roots

Example:

    LIB "dmodapp.lib";
    ring r = 0,(x,y,z,s),Dp;
    ideal I = -1,-4/3,0,-5/3,-2;
    intvec mI = 2,1,2,1,1;
    list BS = I,mI;
    poly p = fl2poly(BS,"s");
    p;
    ==> s7+7s6+173/9s5+233/9s4+154/9s3+40/9s2
    factorize(p,2);
    ==> [1]:
    ==>    _[1]=s+2
    ==>    _[2]=3s+4
    ==>    _[3]=3s+5
    ==>    _[4]=s
    ==>    _[5]=s+1
    ==> [2]:
    ==>    1,1,1,2,2

User manual for Singular version 4.4.1, 2025, generated by texi2html.